Name:           perl-Pod-PseudoPod
Version:        0.16
Release:        6%{?dist}
Summary:        Framework for extending the POD tags for book manuscripts
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pod-PseudoPod/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AR/ARANDAL/Pod-PseudoPod-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Simple) >= 3.02
BuildRequires:  perl(Test::More)
Requires:       perl(Pod::Simple) >= 3.02
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
PseudoPod is an extended set of Pod tags used for book manuscripts.
Standard Pod doesn't have all the markup options you need to mark up files
for publishing production. PseudoPod adds a few extra tags for footnotes,
tables, sidebars, etc. For further information see Pod::PseudoPod::Tutorial.


%prep
%setup -q -n Pod-PseudoPod-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
%{__rm} -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

# Added to remove the waring messages from rpmlint
%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README Todo
%{perl_vendorlib}/Pod/PseudoPod.pm
%{perl_vendorlib}/Pod/PseudoPod
%{_mandir}/man3/*
%{_bindir}/ppod2docbook
%{_bindir}/ppod2txt
%{_bindir}/ppodchecker
%{_bindir}/ppod2html


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.16-5
- rebuild to fix broken perl dependencies

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.16-4
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Dec 12 2010 Iain Arnell <iarnell@gmail.com> 0.16-3
- doesn't require perl(Test::More)

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.16-2
- Mass rebuild with perl-5.12.0

* Mon May 03 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.16-1
- update to 0.16

* Mon Nov 30 2009 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.15-1
- add perl_vendorlib files more explicit
- changed Summary-, Source0- and License-lines
- add ppod*-binaries to files-section
- Specfile autogenerated by cpanspec 1.78.
